package com.mayi.fastdevelop.base;

public abstract class BasePresenter<M, V> {

    //model
    protected M mModel;
    //view
    protected V mView;

    public void setVM(V v, M m) {
        this.mView = v;
        this.mModel = m;
    }

    /**
     * 获取 View
     *
     * @return
     */
    protected V getView() {
        return mView;
    }

    /**
     * 获取 Model
     *
     * @return
     */
    protected M getModel() {
        return mModel;
    }


}
